package com.hzya.frame.grpU8.nxproof.glPzml.dao.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.glPzml.dao.ISenderGlPzmlDao;
import com.hzya.frame.grpU8.nxproof.glPzml.entity.SenderGlPzmlEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * (GlPzml)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 10:02:06
 */
@Repository(value = "SenderGlPzmlDaoImpl")
public class SenderGlPzmlDaoImpl extends MybatisGenericDao<SenderGlPzmlEntity, String> implements ISenderGlPzmlDao {


    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public List<SenderGlPzmlEntity> querySenderGlPzmlEntity(SenderGlPzmlEntity senderGlPzmlEntity) {
        return super.queryByLike(senderGlPzmlEntity);
    }

    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public SenderGlPzmlEntity saveSenderGlPzmlEntity(SenderGlPzmlEntity senderGlPzmlEntity) {
        return super.save(senderGlPzmlEntity);
    }

    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public SenderGlPzmlEntity updateSenderGlPzmlEntity(SenderGlPzmlEntity senderGlPzmlEntity) {
        return super.update(senderGlPzmlEntity);
    }

    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public List<SenderGlPzmlEntity> queryGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity) {
        return super.query(senderGlPzmlEntity);
    }

    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public SenderGlPzmlEntity saveGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity) {
        return super.save(senderGlPzmlEntity);
    }

    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public SenderGlPzmlEntity updateGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity) {
        return super.update(senderGlPzmlEntity);
    }

    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public Integer deleteGlPzmlHealthBureau(SenderGlPzmlEntity senderGlPzmlEntity) {
        return super.delete("SenderGlPzmlEntity_delete_pzml",senderGlPzmlEntity);
    }

    @Override
    @DS("#senderGlPzmlEntity.dataSourceCode")
    public List<SenderGlPzmlEntity> queryGlPzmlSxy(SenderGlPzmlEntity senderGlPzmlEntity) {
        return (List<SenderGlPzmlEntity>) super.selectList("queryGlPzmlSxy",senderGlPzmlEntity);
    }
}

